Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.util
Class OptionInfo

    java.lang.Object
      com.sun.tdk.signaturetest.util.OptionInfo

    public final class OptionInfo

extends java.lang.Object

Field Summary
`static boolean` | `DEFAULT_SENSITIVITY`
`static int` | `UNLIMITED`

Constructor Summary
`OptionInfo(boolean required, int minCount, int maxCount, boolean multiple, boolean isCaseSensitive)`

Method Summary
`int` | `getMaxCount()`
`int` | `getMinCount()`
`boolean` | `isCaseSentitive()`
`boolean` | `isMultiple()`
`boolean` | `isRequired()`
`static OptionInfo` | `option(int paramCount)`
`static OptionInfo` | `optionalFlag()`
`static OptionInfo` | `optionVariableParams(int min, int max)`
`static OptionInfo` | `requiredOption(int paramCount)`
`static OptionInfo` | `requiredOptionVariableParams(int min, int max)`
`java.lang.String` | `toKey(java.lang.String arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SENSITIVITY

    public static final boolean DEFAULT_SENSITIVITY

See Also:
  Constant Field Values

### UNLIMITED

    public static final int UNLIMITED

See Also:
  Constant Field Values

Constructor Detail

### OptionInfo

    public OptionInfo(boolean required,
                      int minCount,
                      int maxCount,
                      boolean multiple,
                      boolean isCaseSensitive)

Method Detail

### requiredOption

    public static OptionInfo requiredOption(int paramCount)

### option

    public static OptionInfo option(int paramCount)

### requiredOptionVariableParams

    public static OptionInfo requiredOptionVariableParams(int min,
                                                          int max)

### optionVariableParams

    public static OptionInfo optionVariableParams(int min,
                                                  int max)

### optionalFlag

    public static OptionInfo optionalFlag()

### toKey

    public java.lang.String toKey(java.lang.String arg)

### getMinCount

    public int getMinCount()

### getMaxCount

    public int getMaxCount()

### isCaseSentitive

    public boolean isCaseSentitive()

### isMultiple

    public boolean isMultiple()

### isRequired

    public boolean isRequired()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD